#ifndef DEVICEDIALOG_H
#define DEVICEDIALOG_H

#include <QDialog>
#include <QLineEdit>
#include "diagramdevice.h"

QT_BEGIN_NAMESPACE
class QDialogButtonBox;
class QTabWidget;
QT_END_NAMESPACE


class GeneralTab : public QWidget
{
    Q_OBJECT

public:
    GeneralTab(DiagramDevice *device, QWidget *parent = 0);
	void saveInput();
private:
	DiagramDevice *dev;
	QLineEdit *deviceNameEdit;
	QLineEdit *deviceValueEdit;
};


class ModelTab : public QWidget
{
    Q_OBJECT

public:
    ModelTab(DiagramDevice *device, QWidget *parent = 0);
	void saveInput();
private:
	DiagramDevice *dev;
	QLineEdit *widthEdit;
	QLineEdit *lengthEdit;
	QLineEdit *modelNameEdit;
};



class DeviceDialog : public QDialog
{
    Q_OBJECT

public:
    DeviceDialog(DiagramDevice *device, QWidget *parent = 0);
public slots:
	void accept();

private:
    QTabWidget *tabWidget;
    QDialogButtonBox *buttonBox;
	GeneralTab *generaltab;
	ModelTab *modeltab;
};


#endif
